after installing, many errors (php error reporting?)

Joomla version 1.5 is end-of-life and are no longer supported. Please use Joomla 3.x instead.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Locked
idro
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Sat Feb 20, 2010 5:03 pm

after installing, many errors (php error reporting?)

Post by idro » Sun Feb 21, 2010 5:34 pm

Hi,
I'm a begginer, just trying to do my first webpage.
First of all, thanks for making joomla available!
And now my problem...

After installing xampp and Joomla1.5, when I go to http://localhost/joomla15/ I get the following errors:

Strict Standards: Non-static method JLoader::import() should not be called statically in /opt/lampp/htdocs/joomla15/libraries/joomla/import.php on line 29
Strict Standards: Non-static method JLoader::register() should not be called statically in /opt/lampp/htdocs/joomla15/libraries/loader.php on line 71
Strict Standards: Non-static method JLoader::import() should not be called statically in /opt/lampp/htdocs/joomla15/libraries/joomla/import.php on line 32
.... and many many similar errors...

I think I have to deactivate the "error_reporting =" in the php.ini (I've seen it here and here ), but unfortunately I don't know how to do it. I don't even know where it is (I've tried to find it with 'whereis' and 'locate' but I've only found that it is on /opt/lampp/bin/php binary file, no way to edit it).
What can I do? and how?

Thanks a lot for your help,

Some more info:
- I've installed XAMPP for Linux 1.7.3a on on Ubuntu 8.04:
Apache/2.2.14 (Unix) DAV/2 mod_ssl/2.2.14 OpenSSL/0.9.8l PHP/5.3.1 mod_apreq2-20090110/2.7.1 mod_perl/2.0.4 Perl/v5.10.1
MySQL: mysqlnd 5.0.5-dev - 081106 - $Revision: 289630 $
PHP: mysqli

User avatar
humvee
Joomla! Master
Joomla! Master
Posts: 14713
Joined: Wed Aug 17, 2005 10:27 pm
Location: Kent, England

Re: after installing, many errors (php error reporting?)

Post by humvee » Sun Feb 21, 2010 5:58 pm

Error reporting on a local/development server is not an issue it is just an aid. You can safely ignore it.
The php.ini file should be located within /opt/lampp/etc/php.ini
Edit the file using a basic text editor or html editor. Might be worth copying the file and renaming the original so that you can always revert to it if needed.

User avatar
humvee
Joomla! Master
Joomla! Master
Posts: 14713
Joined: Wed Aug 17, 2005 10:27 pm
Location: Kent, England

Re: after installing, many errors (php error reporting?)

Post by humvee » Sun Feb 21, 2010 6:04 pm

Make sure you are using the latest version of Joomla! being 1.5.15

idro
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Sat Feb 20, 2010 5:03 pm

Re: after installing, many errors (php error reporting?)

Post by idro » Sun Feb 21, 2010 7:42 pm

Ok. Thank you!!! :)

I replaced:
error_reporting = E_ALL | E_STRICT
by:
error_reporting = E_ALL & ~E_NOTICE

in /opt/lampp/etc/php.ini, and now I can start learning and playing with joomla!
(before, with the thousands of errors or warnings it was impossible)

User avatar
humvee
Joomla! Master
Joomla! Master
Posts: 14713
Joined: Wed Aug 17, 2005 10:27 pm
Location: Kent, England

Re: after installing, many errors (php error reporting?)

Post by humvee » Sun Feb 21, 2010 9:57 pm

NP Glad to have helped


Locked

Return to “Installation 1.5”